library(tidyverse)
library(leaflet)
library(tidygeocoder)
library(leafpop)

#- geolocalizamos el SFPIE, aka CFQ de la UV
df <- data.frame( adress = "Servei de Formacio Permanent", street = "Serpis 29", city = "Valencia", country = "Spain")

df <- df %>% mutate(text_to_geocode = paste(street, city, country, sep = ", "))

df <- df %>% tidygeocoder::geocode(text_to_geocode, method = "osm")  %>% select(- text_to_geocode)

m <- leaflet() %>%
  addTiles() %>% 
  setView(lng = df$long, lat = df$lat, zoom = 16) #%>% 
  #addMarkers(lng = df$long, lat = df$lat, popup = "SFPIE") %>% 
  #addPopups(lng = df$long, lat = df$lat, popup = "SFPIE") %>% 
  #addPopupImages(img, group = "pnt")

img = "http://bit.ly/1TVwRiR"
m



img <-  "https://www.uv.es/recursos/fatwirepub/ccurl/12/318/P01.jpg"

leaflet() %>%
  addTiles() %>%
  addCircleMarkers(data = pnt, group = "pnt") %>%
  addPopupImages(img, group = "pnt")
