#- Como crear un icono?: https://www.datanovia.com/en/blog/how-to-create-icon-in-r/
library(tidyverse)

# Helper theme for ggplot icon (lo pone todo transparente)
theme_icon <- function () {theme_void() + theme(
      panel.background = element_rect(fill = "transparent", colour = NA), 
      plot.background = element_rect(fill = "transparent", colour = NA), 
      legend.background = element_rect(fill = "transparent", colour = NA), 
      legend.box.background = element_rect(fill = "transparent", colour = NA))
}

#- hacemos un gráfico
p <- ggplot(iris, aes(Species, Sepal.Length)) + geom_boxplot(color = "#478bca", fill = "transparent") +
  theme_icon()

#- guardamos el gráfico como imagen
ggsave(filename = here::here("imagenes", "my-icon.svg"), p, dpi = 72, width = 1, height = 1) # SVG
ggsave(filename = here::here("imagenes", "my-icon.png"), p, dpi = 72, width = 1, height = 1, bg = "transparent") # PNG


#- usarlo en un hexsticker
library(hexSticker)
p.sticker <- sticker(p, package = " ", p_size = 3, s_x = 1, s_y = 1.1, s_width = 1.3, s_height = 1.5,
  h_color = "#478bca", h_fill = "#478bca", filename = here::here("imagenes", "my-icon-hexsticker.png"))
